## 说明

1. animations目录下为系统动画实现，designer目录下为控件实现
2. animationmanager为动画管理类，提供动画窗口的唯一接口，circlemanager为画圆窗口管理类管理窗口注册等操作。
3. MaterialRipple继承QParallelAnimationGroup，实现波纹动画操作。
4. QtMaterialRippleOverlay定义为动画窗口基类，提供窗口添加动画操作接口addRipple以及实现动画操作接口paintRipple。
5. QtMaterialCircleRippleOverlay定义为波纹动画实现窗口，实现了动画操作接口。
6. 用户可以自定义子类继承自QtMaterialRippleOverlay，实现自定义的动画效果。
7. 调用实例：
   控件初始化应该先注册控件动画实现的窗口类型：
        ndewidgetanimationmanager().getCirclemanager().registerWidget(this,new QtMaterialCircleRippleOverlay(parent));

    添加动画实现：
        //获取子窗口在父窗口的相对坐标
        QPoint point = this->parentWidget()->geometry().topLeft();
        //添加动画
        MaterialRipple *ripple;
        ripple = new MaterialRipple(center,this,QEasingCurve::OutCirc);
        ripple->setRadiusEndValue(radius);
        ripple->setColor(color);
        //如果是在父窗口显示动画，则需要进行坐标转换
        ripple->movecenter(point);
        ripple->setOpacityStartValue(2);
        //动画显示窗口添加动画
        ndewidgetanimationmanager().getCirclemanager().findripplelay(this)->addRipple(ripple);
