#include "ndewidgetmaterialrippleoverlay.h"
#include <QWidget>
#include <QMap>
namespace NdeWidget {

//circle动画窗口管理类
class circlemanager : public QObject
{
    Q_OBJECT
public:
    circlemanager() {}
    ~circlemanager() {}
    bool registerWidget( QWidget* widget,QtMaterialRippleOverlay*);
    QtMaterialRippleOverlay* findripplelay(QWidget*);
public Q_SLOTS:
    bool unregisterWidget( QObject* obj);
private:
    QMap<QWidget*,QtMaterialRippleOverlay*> m_ripplelay;
};

//动画管理类
class animationmanager : public QObject
{
    Q_OBJECT
public:
    ~animationmanager() { finalize(); };
    static animationmanager& instance(){
            static animationmanager manager;
            return manager;
    }

    //返回
    circlemanager & getCirclemanager() { return *m_circle; }

private:
    animationmanager() { initialize(); }
    void initialize();
    void finalize();
private:
    circlemanager * m_circle;
};
//提供动画管理类唯一调用接口
inline animationmanager& ndewidgetanimationmanager() { return animationmanager::instance();}

}
